package com.xhpc.card.mapper;

import com.xhpc.card.pojo.XhpcIcCardInfo;
import com.xhpc.common.domain.IccardInfo;
import org.apache.ibatis.annotations.Param;

public interface XhpcCardMapper {

    IccardInfo getIccardInfoCardno(@Param("cardno") String cardno);

    XhpcIcCardInfo getXhpcIcCardInfo(@Param("tIccardInfoId") String tIccardInfoId);

    int deleteByPrimaryKey(Long icCardInfoId);

    int insert(XhpcIcCardInfo record);

    int insertSelective(XhpcIcCardInfo record);

    XhpcIcCardInfo selectByPrimaryKey(Long icCardInfoId);

    int updateByPrimaryKeySelective(XhpcIcCardInfo record);

    int updateByPrimaryKey(XhpcIcCardInfo record);


}